post
https://api.marketcircle.net/v1/relationships
Create a relationship
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
When creating a relationship, you must include either asource_contactanddestination_contactor asource_companyanddestination_company
relationship_type and details are optional.
{
"source_contact": "/v1/contacts/1000",
"destination_contact": "/v1/contacts/1001",
"relationship_type": "/v1/relationship_types/1000",
"details": "Married in 2015"
}A record can't be related to itself. A successful request returns 201 Created with the new relationship's reference, e.g. {"location": "/v1/relationships/1000"}.
You can also create relationships from either record, through a contact's contacts list or a company's companies list.